EdgeCron API Docs
API ReferenceTask Runs

Cancel a task run

POST /tasks/{id}/cancel

Cancel a task run

Cancel a task.

POST
https://api.edgecron.com/v1/tasks/{id}/cancel

Authentication required

Send `X-Key-ID`, `X-Timestamp`, and `X-Signature` with every request. The signature is lowercase hex HMAC-SHA256 over `timestamp + "\n" + payload`.

Parameters

ParametersInTypeRequiredDescription
idpathintegerYesResource identifier.

Request body

This endpoint does not require a JSON request body.

Response

All successful responses use the EdgeCron API envelope.

{
  "code": 0,
  "message": "success",
  "request_id": "req_abc123",
  "data": {
    "id": 101,
    "app_id": "app_123",
    "schedule_id": 101,
    "event_id": 101,
    "endpoint_id": 101,
    "task_type": "schedule",
    "payload": {},
    "status": "pending",
    "run_at": 1772534400,
    "created_at": "2026-07-01T12:00:00Z"
  }
}

Schema

ParametersTypeRequiredDescription
idintegerNoResource identifier.
app_idstringNoApplication identifier.
schedule_idintegerNo-
event_idintegerNo-
endpoint_idintegerNo-
task_typeschedule / event / manualNoAllowed: schedule, event, manual.
payloadobjectNoJSON payload forwarded to the target endpoint.
statuspending / running / success / failed / canceledNoAllowed: pending, running, success, failed, canceled.
run_atstring (date-time)No-
created_atstring (date-time)NoCreation timestamp.